
# Sealed Secrets documentation

Everything you need to know about Sealed Secrets.

> NOTE: we are currently moving our docs to a new website and reviewing our documentation files. During the process, eventual broken links and minor inconsistences may appear. Please, feel free to contact us if you have any questions: file an [issue](https://github.com/bitnami-labs/sealed-secrets/issues), or talk to us on the [#Sealed Secrets slack channel](https://kubernetes.slack.com/messages/sealed-secrets).

## Documentation overview

A high-level overview of how it's organized will help Sealed Secrets contributors and users know where to look for certain things.

| Section                     | Description                                                                                         |
| --------------------------- | ----------------------------------------------------------------------------------------------------|
| [Tutorials](./tutorials/)   | Start here if you're new to Sealed Secrets. A hands-on introduction to Seled Secrets for new users. |
| [How-to guides](./howto/)   | They guide you through the steps involved in addressing key problems and use-cases.                 |
| [Background](./background/) | Dive into the overall architecture and implementation details of Sealed Secrets.                    |
| [Reference](./reference/)   | Technical information - developer guides, design proposals, examples, translations, etc.            |
