# Sealed Secrets tutorials

This section of our documentation contains step-by-step tutorials to help outline what Sealed Secrets is capable of.

We hope our tutorials make as few assumptions as possible and are broadly accessible to anyone with an interest in Sealed Secrets. They should also be a good place to start learning about Sealed Secrets, how it works and what it's capable of.

| Tutorial                                | Description                                                                                                                  |
|-----------------------------------------|------------------------------------------------------------------------------------------------------------------------------|
| [Getting started](./getting-started.md) | This guide walks you through the process of deploying Sealed Secrets for your cluster and installing an example Sealed Secrets. |

Alternatively, if you have a specific goal, but are already familiar with Sealed Secrets, take a look at our [How-to guides](../howto/README.md). These have more in-depth detail and can be applied to a broader set of features.

Take a look at our [Reference section](../reference/README.md) when you need to know design decisions, detailed developer guides, etc.

Finally, for a better understanding of Sealed Secrets architecture, our [Background section](../background/README.md) enables you to expand your knowledge.
